/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateRouteInput } from "../types/UpdateRouteInput";
import { UpdateRouteOutput } from "../types/UpdateRouteOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/UpdateRouteInput";
export * from "../types/UpdateRouteOutput";
export * from "../types/UpdateRouteExceptionsUnion";
export declare class UpdateRouteCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateRouteInput, OutputTypesUnion, UpdateRouteOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateRouteInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateRouteInput, UpdateRouteOutput, _stream.Readable>;
    constructor(input: UpdateRouteInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<UpdateRouteInput, UpdateRouteOutput>;
}
