"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetDomainNamesInput_1 = require("../shapes/GetDomainNamesInput");
const GetDomainNamesOutput_1 = require("../shapes/GetDomainNamesOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDomainNames = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDomainNames",
    http: {
        method: "GET",
        requestUri: "/v2/domainnames"
    },
    input: {
        shape: GetDomainNamesInput_1.GetDomainNamesInput
    },
    output: {
        shape: GetDomainNamesOutput_1.GetDomainNamesOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetDomainNames.js.map