"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _DomainNameConfigurations_1 = require("./_DomainNameConfigurations");
const _Tags_1 = require("./_Tags");
exports.CreateDomainNameInput = {
    type: "structure",
    required: ["DomainName"],
    members: {
        DomainName: {
            shape: {
                type: "string"
            },
            locationName: "domainName"
        },
        DomainNameConfigurations: {
            shape: _DomainNameConfigurations_1._DomainNameConfigurations,
            locationName: "domainNameConfigurations"
        },
        Tags: {
            shape: _Tags_1._Tags,
            locationName: "tags"
        }
    }
};
//# sourceMappingURL=CreateDomainNameInput.js.map