"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _IntegrationParameters_1 = require("./_IntegrationParameters");
const _TemplateMap_1 = require("./_TemplateMap");
exports.CreateIntegrationResponseInput = {
    type: "structure",
    required: ["ApiId", "IntegrationId", "IntegrationResponseKey"],
    members: {
        ApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "apiId"
        },
        ContentHandlingStrategy: {
            shape: {
                type: "string"
            },
            locationName: "contentHandlingStrategy"
        },
        IntegrationId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "integrationId"
        },
        IntegrationResponseKey: {
            shape: {
                type: "string"
            },
            locationName: "integrationResponseKey"
        },
        ResponseParameters: {
            shape: _IntegrationParameters_1._IntegrationParameters,
            locationName: "responseParameters"
        },
        ResponseTemplates: {
            shape: _TemplateMap_1._TemplateMap,
            locationName: "responseTemplates"
        },
        TemplateSelectionExpression: {
            shape: {
                type: "string"
            },
            locationName: "templateSelectionExpression"
        }
    }
};
//# sourceMappingURL=CreateIntegrationResponseInput.js.map