"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateModelInput = {
    type: "structure",
    required: ["ApiId", "Schema", "Name"],
    members: {
        ApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "apiId"
        },
        ContentType: {
            shape: {
                type: "string"
            },
            locationName: "contentType"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        Name: {
            shape: {
                type: "string"
            },
            locationName: "name"
        },
        Schema: {
            shape: {
                type: "string"
            },
            locationName: "schema"
        }
    }
};
//# sourceMappingURL=CreateModelInput.js.map