import { CreateApiOutput } from "./CreateApiOutput";
import { CreateApiMappingOutput } from "./CreateApiMappingOutput";
import { CreateAuthorizerOutput } from "./CreateAuthorizerOutput";
import { CreateDeploymentOutput } from "./CreateDeploymentOutput";
import { CreateDomainNameOutput } from "./CreateDomainNameOutput";
import { CreateIntegrationOutput } from "./CreateIntegrationOutput";
import { CreateIntegrationResponseOutput } from "./CreateIntegrationResponseOutput";
import { CreateModelOutput } from "./CreateModelOutput";
import { CreateRouteOutput } from "./CreateRouteOutput";
import { CreateRouteResponseOutput } from "./CreateRouteResponseOutput";
import { CreateStageOutput } from "./CreateStageOutput";
import { DeleteApiOutput } from "./DeleteApiOutput";
import { DeleteApiMappingOutput } from "./DeleteApiMappingOutput";
import { DeleteAuthorizerOutput } from "./DeleteAuthorizerOutput";
import { DeleteDeploymentOutput } from "./DeleteDeploymentOutput";
import { DeleteDomainNameOutput } from "./DeleteDomainNameOutput";
import { DeleteIntegrationOutput } from "./DeleteIntegrationOutput";
import { DeleteIntegrationResponseOutput } from "./DeleteIntegrationResponseOutput";
import { DeleteModelOutput } from "./DeleteModelOutput";
import { DeleteRouteOutput } from "./DeleteRouteOutput";
import { DeleteRouteResponseOutput } from "./DeleteRouteResponseOutput";
import { DeleteStageOutput } from "./DeleteStageOutput";
import { GetApiOutput } from "./GetApiOutput";
import { GetApiMappingOutput } from "./GetApiMappingOutput";
import { GetApiMappingsOutput } from "./GetApiMappingsOutput";
import { GetApisOutput } from "./GetApisOutput";
import { GetAuthorizerOutput } from "./GetAuthorizerOutput";
import { GetAuthorizersOutput } from "./GetAuthorizersOutput";
import { GetDeploymentOutput } from "./GetDeploymentOutput";
import { GetDeploymentsOutput } from "./GetDeploymentsOutput";
import { GetDomainNameOutput } from "./GetDomainNameOutput";
import { GetDomainNamesOutput } from "./GetDomainNamesOutput";
import { GetIntegrationOutput } from "./GetIntegrationOutput";
import { GetIntegrationResponseOutput } from "./GetIntegrationResponseOutput";
import { GetIntegrationResponsesOutput } from "./GetIntegrationResponsesOutput";
import { GetIntegrationsOutput } from "./GetIntegrationsOutput";
import { GetModelOutput } from "./GetModelOutput";
import { GetModelTemplateOutput } from "./GetModelTemplateOutput";
import { GetModelsOutput } from "./GetModelsOutput";
import { GetRouteOutput } from "./GetRouteOutput";
import { GetRouteResponseOutput } from "./GetRouteResponseOutput";
import { GetRouteResponsesOutput } from "./GetRouteResponsesOutput";
import { GetRoutesOutput } from "./GetRoutesOutput";
import { GetStageOutput } from "./GetStageOutput";
import { GetStagesOutput } from "./GetStagesOutput";
import { GetTagsOutput } from "./GetTagsOutput";
import { TagResourceOutput } from "./TagResourceOutput";
import { UntagResourceOutput } from "./UntagResourceOutput";
import { UpdateApiOutput } from "./UpdateApiOutput";
import { UpdateApiMappingOutput } from "./UpdateApiMappingOutput";
import { UpdateAuthorizerOutput } from "./UpdateAuthorizerOutput";
import { UpdateDeploymentOutput } from "./UpdateDeploymentOutput";
import { UpdateDomainNameOutput } from "./UpdateDomainNameOutput";
import { UpdateIntegrationOutput } from "./UpdateIntegrationOutput";
import { UpdateIntegrationResponseOutput } from "./UpdateIntegrationResponseOutput";
import { UpdateModelOutput } from "./UpdateModelOutput";
import { UpdateRouteOutput } from "./UpdateRouteOutput";
import { UpdateRouteResponseOutput } from "./UpdateRouteResponseOutput";
import { UpdateStageOutput } from "./UpdateStageOutput";
export declare type OutputTypesUnion = CreateApiOutput | CreateApiMappingOutput | CreateAuthorizerOutput | CreateDeploymentOutput | CreateDomainNameOutput | CreateIntegrationOutput | CreateIntegrationResponseOutput | CreateModelOutput | CreateRouteOutput | CreateRouteResponseOutput | CreateStageOutput | DeleteApiOutput | DeleteApiMappingOutput | DeleteAuthorizerOutput | DeleteDeploymentOutput | DeleteDomainNameOutput | DeleteIntegrationOutput | DeleteIntegrationResponseOutput | DeleteModelOutput | DeleteRouteOutput | DeleteRouteResponseOutput | DeleteStageOutput | GetApiOutput | GetApiMappingOutput | GetApiMappingsOutput | GetApisOutput | GetAuthorizerOutput | GetAuthorizersOutput | GetDeploymentOutput | GetDeploymentsOutput | GetDomainNameOutput | GetDomainNamesOutput | GetIntegrationOutput | GetIntegrationResponseOutput | GetIntegrationResponsesOutput | GetIntegrationsOutput | GetModelOutput | GetModelTemplateOutput | GetModelsOutput | GetRouteOutput | GetRouteResponseOutput | GetRouteResponsesOutput | GetRoutesOutput | GetStageOutput | GetStagesOutput | GetTagsOutput | TagResourceOutput | UntagResourceOutput | UpdateApiOutput | UpdateApiMappingOutput | UpdateAuthorizerOutput | UpdateDeploymentOutput | UpdateDomainNameOutput | UpdateIntegrationOutput | UpdateIntegrationResponseOutput | UpdateModelOutput | UpdateRouteOutput | UpdateRouteResponseOutput | UpdateStageOutput;
