/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteRouteResponseInput } from "../types/DeleteRouteResponseInput";
import { DeleteRouteResponseOutput } from "../types/DeleteRouteResponseOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/DeleteRouteResponseInput";
export * from "../types/DeleteRouteResponseOutput";
export * from "../types/DeleteRouteResponseExceptionsUnion";
export declare class DeleteRouteResponseCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteRouteResponseInput, OutputTypesUnion, DeleteRouteResponseOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteRouteResponseInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteRouteResponseInput, DeleteRouteResponseOutput, _stream.Readable>;
    constructor(input: DeleteRouteResponseInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<DeleteRouteResponseInput, DeleteRouteResponseOutput>;
}
