/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetRouteResponsesInput } from "../types/GetRouteResponsesInput";
import { GetRouteResponsesOutput } from "../types/GetRouteResponsesOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/GetRouteResponsesInput";
export * from "../types/GetRouteResponsesOutput";
export * from "../types/GetRouteResponsesExceptionsUnion";
export declare class GetRouteResponsesCommand implements __aws_sdk_types.Command<InputTypesUnion, GetRouteResponsesInput, OutputTypesUnion, GetRouteResponsesOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: GetRouteResponsesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetRouteResponsesInput, GetRouteResponsesOutput, _stream.Readable>;
    constructor(input: GetRouteResponsesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<GetRouteResponsesInput, GetRouteResponsesOutput>;
}
