/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateApiInput } from "../types/UpdateApiInput";
import { UpdateApiOutput } from "../types/UpdateApiOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/UpdateApiInput";
export * from "../types/UpdateApiOutput";
export * from "../types/UpdateApiExceptionsUnion";
export declare class UpdateApiCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateApiInput, OutputTypesUnion, UpdateApiOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateApiInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateApiInput, UpdateApiOutput, _stream.Readable>;
    constructor(input: UpdateApiInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<UpdateApiInput, UpdateApiOutput>;
}
