/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateRouteResponseInput } from "../types/UpdateRouteResponseInput";
import { UpdateRouteResponseOutput } from "../types/UpdateRouteResponseOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/UpdateRouteResponseInput";
export * from "../types/UpdateRouteResponseOutput";
export * from "../types/UpdateRouteResponseExceptionsUnion";
export declare class UpdateRouteResponseCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateRouteResponseInput, OutputTypesUnion, UpdateRouteResponseOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateRouteResponseInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateRouteResponseInput, UpdateRouteResponseOutput, _stream.Readable>;
    constructor(input: UpdateRouteResponseInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<UpdateRouteResponseInput, UpdateRouteResponseOutput>;
}
