"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetRouteResponseInput = {
    type: "structure",
    required: ["RouteResponseId", "ApiId", "RouteId"],
    members: {
        ApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "apiId"
        },
        RouteId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "routeId"
        },
        RouteResponseId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "routeResponseId"
        }
    }
};
//# sourceMappingURL=GetRouteResponseInput.js.map