"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetRouteResponsesInput = {
    type: "structure",
    required: ["RouteId", "ApiId"],
    members: {
        ApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "apiId"
        },
        MaxResults: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "maxResults"
        },
        NextToken: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "nextToken"
        },
        RouteId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "routeId"
        }
    }
};
//# sourceMappingURL=GetRouteResponsesInput.js.map